diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/test/wifi-phy-mu-mimo-test.cc ns-3.44/src/wifi/test/wifi-phy-mu-mimo-test.cc
--- ns-3.43/src/wifi/test/wifi-phy-mu-mimo-test.cc	2024-10-09 16:41:10.140657000 -0700
+++ ns-3.44/src/wifi/test/wifi-phy-mu-mimo-test.cc	2025-03-09 16:55:49.811372800 -0700
@@ -1713,9 +1715,9 @@
             WifiPhy::ChannelTuple{channelNum, m_channelWidth, WIFI_PHY_BAND_5GHZ, 0});
     }
 
-    Time delay = Seconds(0.0);
+    Time delay;
     Simulator::Schedule(delay, &TestUlMuMimoPhyTransmission::Reset, this);
-    delay += Seconds(1.0);
+    delay += Seconds(1);
 
     //---------------------------------------------------------------------------
     // Verify that all HE TB PPDUs using full BW MU-MIMO have been corrected received
@@ -1734,7 +1736,7 @@
                      std::make_tuple(1, 0, 1002)  // One PSDU of 1002 bytes should have been
                                                   // successfully received from STA 3
                  });
-    delay += Seconds(1.0);
+    delay += Seconds(1);
 
     //---------------------------------------------------------------------------
     // Send an HE SU PPDU during 400 ns window and verify that all HE TB PPDUs using full BW MU-MIMO
@@ -1763,7 +1765,7 @@
                      std::make_tuple(0, 1, 0) // Reception of the PSDU from STA 3 should have failed
                                               // (since interference from STA 4)
                  });
-    delay += Seconds(1.0);
+    delay += Seconds(1);
 
     //---------------------------------------------------------------------------
     // Send an HE SU PPDU during HE portion reception and verify that all HE TB PPDUs have been
@@ -1792,7 +1794,7 @@
                      std::make_tuple(0, 1, 0) // Reception of the PSDU from STA 3 should have failed
                                               // (since interference from STA 4)
                  });
-    delay += Seconds(1.0);
+    delay += Seconds(1);
 
     Simulator::Run();
 }
@@ -1806,32 +1808,32 @@
     {
         m_delayStart = delayStart;
 
-        m_frequency = 5180;
-        m_channelWidth = 20;
+        m_frequency = MHz_u{5180};
+        m_channelWidth = MHz_u{20};
         m_expectedPpduDuration = NanoSeconds(163200);
         NS_LOG_DEBUG("Run UL MU-MIMO PHY transmission test for "
                      << m_channelWidth << " MHz with delay between each HE TB PPDUs of "
                      << m_delayStart);
         RunOne();
 
-        m_frequency = 5190;
-        m_channelWidth = 40;
+        m_frequency = MHz_u{5190};
+        m_channelWidth = MHz_u{40};
         m_expectedPpduDuration = NanoSeconds(105600);
         NS_LOG_DEBUG("Run UL MU-MIMO PHY transmission test for "
                      << m_channelWidth << " MHz with delay between each HE TB PPDUs of "
                      << m_delayStart);
         RunOne();
 
-        m_frequency = 5210;
-        m_channelWidth = 80;
+        m_frequency = MHz_u{5210};
+        m_channelWidth = MHz_u{80};
         m_expectedPpduDuration = NanoSeconds(76800);
         NS_LOG_DEBUG("Run UL MU-MIMO PHY transmission test for "
                      << m_channelWidth << " MHz with delay between each HE TB PPDUs of "
                      << m_delayStart);
         RunOne();
 
-        m_frequency = 5250;
-        m_channelWidth = 160;
+        m_frequency = MHz_u{5250};
+        m_channelWidth = MHz_u{160};
         m_expectedPpduDuration = NanoSeconds(62400);
         NS_LOG_DEBUG("Run UL MU-MIMO PHY transmission test for "
                      << m_channelWidth << " MHz with delay between each HE TB PPDUs of "
@@ -1843,10 +1845,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief wifi PHY MU-MIMO Test Suite
+ * @brief wifi PHY MU-MIMO Test Suite
  */
 class WifiPhyMuMimoTestSuite : public TestSuite
 {
